Merge realmd from Debian unstable for 22.04

Bug #1946896 reported by Bryce Harrington
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
realmd (Ubuntu)
Undecided
Andreas Hasenack

Bug Description

Upstream: 0.17
Debian: 0.17.0-1
Ubuntu: 0.16.3-3ubuntu2

### New Debian Changes ###

realmd (0.17.0-1) unstable; urgency=medium

  * debian/watch: Update the URL and point to the git releases
  * New upstream version 0.17.0
  * Drop patches that have been merged upstream
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)
  * debian/links: Add a link from the documentation to gtk-doc directory

 -- Laurent Bigonville <email address hidden> Mon, 16 Aug 2021 15:35:48 +0200

realmd (0.16.3-3) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Switch to using python3 during build (Closes: #938339)
  * Cherry-pick patch from upstream to fix test failure (Closes: #935294)

  [ Laurent Bigonville ]
  * Fix FTBFS with glib 2.62 (patch from upstream) (Closes: #940159)
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12

 -- Laurent Bigonville <email address hidden> Wed, 02 Oct 2019 17:26:19 +0200

realmd (0.16.3-2) unstable; urgency=medium

  * Team upload.
  * debian/copyright: Use https URLs
  * Move Vcs-* URLs to salsa
  * Bump to debhelper compat level 10.
    This automatically updates config.{guess,sub} on build. Drop the
    explicit dh-autoreconf, it also happens by default now.
  * Drop empty realmd-docs.proc file.
    Spotted by lintian.
  * Use target arch pkg-config to fix cross compilation.
    Thanks Helmut Grohne! Also spotted by lintian.
  * Build-depend on python:any.
    This eases cross-compilation and bootstrapping. Thanks Helmut Grohne!
    (Closes: #862213)
  * Add Recommends: policykit-1.
    Many operations are guarded by polkit and fail without it.
    (Closes: #856243)
  * Bump Standards-Version to 4.1.4

 -- Martin Pitt <email address hidden> Tue, 01 May 2018 06:51:22 +0000

realmd (0.16.3-1) unstable; urgency=medium

  * New upstream release.
    - Drop debian/patches/02_fix_ftbfs_glib_2.45.7.patch, applied upstream
  * debian/watch, debian/upstream/signing-key.asc: Verify the upstream
    signature and bump the compatibily version to 4
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/control: Use https:// instead of http://
  * debian/rules: Enable all hardening flags
  * debian/lintian-overrides: Override systemd-service-file-missing-install-key

 -- Laurent Bigonville <email address hidden> Mon, 15 Aug 2016 13:17:15 +0200

realmd (0.16.2-2) unstable; urgency=medium

  * debian/patches/01_freeipa_section.patch: Fix a crash by adding an empty
    [ipa-packages] section (Closes: #807384)
  * debian/patches/02_fix_ftbfs_glib_2.45.7.patch: Fix FTBFS with glib 2.45.7
    (Closes: #800928)

 -- Laurent Bigonville <email address hidden> Fri, 25 Dec 2015 21:25:41 +0100

realmd (0.16.2-1) unstable; urgency=medium

  * Team upload.

  [ Laurent Bigonville ]
  * debian/rules: Install the NEWS file as upstream changelog file

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <email address hidden> Fri, 04 Sep 2015 18:47:33 +0200

realmd (0.16.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop debian/patches/0001-Add-support-for-libsystemd.patch, merged
    upstream.

 -- Michael Biebl <email address hidden> Wed, 15 Jul 2015 02:55:33 +0200

realmd (0.16.0-1) unstable; urgency=medium

  * Team upload.
  * New uptream release.
    - Strictly validate info destined for config files and don't try to do
      AD joins without authentication unless explicitly requested.
      (Closes: #781179)
  * Drop Build-Depends on libpackagekit-glib2-dev since PackageKit is used
    directly via its D-Bus interface now.
  * Build against libsystemd. (Closes: #779774)
  * Use dh-autoreconf to update the build system.
  * Bump Standards-Version to 3.9.6.

### Old Ubuntu Delta ###

realmd (0.16.3-3ubuntu2) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <email address hidden> Mon, 21 Jun 2021 18:08:26 -0400

realmd (0.16.3-3ubuntu1) groovy; urgency=medium

  * d/p/0001-LDAP-don-t-close-LDAP-socket-twice.patch: don't close LDAP
    socket twice.
  * d/p/0001-Fix-man-page-reference-in-systemd-service-file.patch: the
    manpage is realm(8), not realmd(8)
  * d/p/0001-Use-current-idmap-options-for-smb.conf.patch: use the
    idmap options in smb.conf for modern versions of samba (LP: #1894153)
  * d/p/0001-Find-NetBIOS-name-in-keytab-while-leaving.patch: find
    NetBIOS name in keytab while leaving the domain (LP: #1894340)
  * d/p/0001-Fix-issues-found-by-Coverity.patch: fix issues found by
    Coverity
  * d/p/0002-Change-qualified-names-default-for-IPA.patch: change
    qualified names default for IPA
  * d/p/0003-discover-try-to-get-domain-name-from-hostname.patch: if
    there is no domain name returned by DHCP check if the hostname
    contains a domain part and use this to discover a realm.
  * d/p/0001-IPA-do-not-call-sssd-enable-logins.patch: IPA: do not call
    sssd-enable-logins
  * d/p/0001-Set-NEWEST-flag-when-resolving-packages-with-Package.patch:
    install the latest version of a package when resolving packages with
    PackageKit
  * d/p/0001-doc-make-sure-cross-reference-ids-are-predictable.patch: make
    sure cross-reference ids are predictable
  * d/p/0002-tools-remove-duplicated-va_start.patch: remove duplicated
    va_start()
  * d/p/0003-service-remove-dead-code.patch: remove unused code
  * d/p/0004-service-check-return-value-of-fcntl.patch: check return
    value of fcntl()
  * d/p/0005-service-avoid-dereference-of-a-null-pointer.patch: avoid
    dereference of a null pointer
  * d/p/0006-service-avoid-dereferencing-a-NULL-pointer.patch: avoid
    dereferencing a NULL pointer
  * d/p/0001-Add-missing-xsl-file-to-Makefile.am.patch: add missing xsl
    file to Makefile.am
  * d/p/0002-configure-do-not-inherit-DISTRO-from-the-environment.patch:
    do not inherit DISTRO from the environment
  * d/p/0003-doc-extend-user-principal-section.patch: doc: extend
    user-principal section
  * d/p/0004-doc-fix-discover-name-only.patch: doc: fix discover
    name-only parameter
  * d/p/0005-doc-add-see-also-to-man-pages.patch: doc: add see also to
    man pages
  * d/p/0006-doc-extend-description-of-config-handling.patch: doc: extend
    description of config handling
  * d/p/0007-service-use-kerberos-method-secrets-and-keytab.patch: when
    using Samba with Winbind, set 'kerberos method' to 'secrets and keytab'
  * d/p/install-libnss-winbind.patch: install libnss-winbind when needed
    (LP: #1894150)
  * d/p/dont-add-services-line.patch: in Ubuntu and Debian, the sssd_*
    services are socket activated and don't need a 'services' line in
    sssd.conf (LP: #1880157)
  * d/p/0004-service-use-additional-dns-hostnames-with-net-ads-jo.patch:
    when using samba to join a domain, and the client is from a different
    domain, also set 'additional dns hostnames'
  * d/p/0002-Use-startTLS-with-FreeIPA.patch: attempt StartTLS first
    when talking to FreeIPA
  * d/p/0003-service-use-net-ads-join-with-k-for-user-join-as-wel.patch:
    when joining using samba, try kerberos auth first and fallback to
    ntlm as before

 -- Andreas Hasenack <email address hidden> Tue, 08 Sep 2020 15:15:12 -0300

Changed in realmd (Ubuntu):
assignee: nobody → Sergio Durigan Junior (sergiodj)
Changed in realmd (Ubuntu):
assignee: Sergio Durigan Junior (sergiodj) → Andreas Hasenack (ahasenack)
Bryce Harrington (bryce)
description: updated
Changed in realmd (Ubuntu):
milestone: none → ubuntu-21.11
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers